package cn.iocoder.yudao.module.llm.dal.mysql.modelassesstaskauto;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.llm.controller.admin.modelassesstaskauto.vo.ModelAssessTaskAutoPageReqVO;
import cn.iocoder.yudao.module.llm.dal.dataobject.modelassesstaskauto.ModelAssessTaskAutoBackupDO;
import cn.iocoder.yudao.module.llm.dal.dataobject.modelassesstaskauto.ModelAssessTaskAutoDO;
import org.apache.ibatis.annotations.Mapper;
import java.util.*;



/**
 * 模型评估任务 —— 自动评估备份 Mapper
 *
 * @author 华大大模型
 */
@Mapper
public interface ModelAssessTaskAutoBackupMapper extends BaseMapperX<ModelAssessTaskAutoBackupDO> {

    default PageResult<ModelAssessTaskAutoBackupDO> selectPage(ModelAssessTaskAutoPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ModelAssessTaskAutoBackupDO>()
                .eq(ModelAssessTaskAutoBackupDO::getDeleted, false)
                .likeIfPresent(ModelAssessTaskAutoBackupDO::getTaskName, reqVO.getTaskName())
                .eqIfPresent(ModelAssessTaskAutoBackupDO::getTaskInfro, reqVO.getTaskInfro())
                .eqIfPresent(ModelAssessTaskAutoBackupDO::getCpuType, reqVO.getCpuType())
                .eqIfPresent(ModelAssessTaskAutoBackupDO::getModelService, reqVO.getModelService())
                .eqIfPresent(ModelAssessTaskAutoBackupDO::getDataset, reqVO.getDataset())
                .betweenIfPresent(ModelAssessTaskAutoBackupDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(ModelAssessTaskAutoBackupDO::getDimension, reqVO.getDimension())
                .orderByDesc(ModelAssessTaskAutoBackupDO::getId));
    }


}
